{
    template:'${tmpl}',
    data:function(){
        return {
          form:{
            companyName:'',
            scope:'',
            tmAnalyze:'',
            notes:'',
            tmName:'',
            nclOnes:[],
            caseInfoMemo:'',
            accountEmail:'',
            accountName:'',
            accountTel:'',
            accountWx:'',
          },
        }
    },
    mounted:function(){
      var that=this;
      var codes=[];
      var oid=this.$router.history.current.params.id;
      this.$root.getReq("/web/advicelettercaseCtl/findbyid",{id:oid}).then(function(d){
        console.log(d);
        if(d.status==0){
          that.form.companyName=d.data.companyName;
          that.form.caseInfoMemo=d.data.caseInfoMemo;
          that.form.cost=d.data.cost;
          that.form.notes=d.data.notes;
          that.form.scope=d.data.scope;
          that.form.tmAnalyze=d.data.tmAnalyze;
          that.form.tmName=d.data.tmName;
          that.form.accountEmail=d.data.accountEmail;
          that.form.accountName=d.data.accountName;
          that.form.accountTel=d.data.accountTel;
          that.form.accountWx=d.data.accountWx;
          that.form.nclOnes=JSON.parse(d.data.nclOnes);
        }
      });

    },
    methods:{


    },
    vname:"gsb-createalc"
}
